#! /bin/sh

if test $# -lt 2
then
    echo "Usage: $0 "'"rule" flexions...'
    echo "Example: $0 "\""n%100/10==1 ? 2 : n%10==1 ? 0 : (n+9)%10>3 ? 2 : 1"\"" pes psi psu"
    echo "generates generic slavic plural"
    exit 1
fi

RULE="$1"
shift

sed s\'@@RULE@@\'"$RULE"\' <plural.c.in >plural.c
cc plural.c -o plural
./plural 0 "$@"
./plural 1 "$@"
./plural 2 "$@"
./plural 3 "$@"
./plural 4 "$@"
./plural 5 "$@"
./plural 10 "$@"
./plural 11 "$@"
./plural 12 "$@"
./plural 13 "$@"
./plural 14 "$@"
./plural 15 "$@"
./plural 20 "$@"
./plural 21 "$@"
./plural 22 "$@"
./plural 23 "$@"
./plural 24 "$@"
./plural 25 "$@"
./plural 100 "$@"
./plural 101 "$@"
./plural 102 "$@"
./plural 103 "$@"
./plural 104 "$@"
./plural 105 "$@"
./plural 110 "$@"
./plural 111 "$@"
./plural 112 "$@"
./plural 113 "$@"
./plural 114 "$@"
./plural 115 "$@"

echo "Plural rule:"
echo "nplurals=$#; plural=$RULE"
